Bug 246674 - Screensaver activates when only second head is being used.
Screensaver activates when only second head is being used.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 16:09 EDT by Bryan Christ
Modified: 2015-01-14 18:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:00:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Christ 2007-07-03 16:09:50 EDT
Description of problem:

In a dual-head configuration (with individual desktops) gnome-screensaver
activates when there is no activity on the first head.  The only way to prevent
the screensaver from activating is to periodically make a mouse movement on the
first screen (head).

Version-Release number of selected component (if applicable):

gnome-screensaver-2.18.2-1.fc7
xorg-x11-drv-mga-1.4.6.1-3.fc7

How reproducible:

100%

Steps to Reproduce:
1.  Install Fedora 7 on a system with Matrox G550 dual-head video adapter.
2.  Configure the X to for dual-head operation with individual desktops.
3.  Set the gnome-screens saver for 10 minute activation.
4.  Use only the second head for 10 minutes.
5.  Watch screensaver start even though you are typing.
  
Actual results:

Screensaver to not start when I am using the second head.

Expected results:

Screensaver starts.

Additional info:

HP Compaq d530 system.
Latest updates via yum.
Comment 1 Gary Case 2007-07-10 11:27:35 EDT
I'm having the exact same problem on a ThinkPad T43. The screen saver activates
if there's no activity on the primary screen within the timeout period, even if
you've been working on the secondary screen the entire time.
Comment 2 Bryan Christ 2007-07-10 11:32:42 EDT
Shouldn't the bug state be changed now to confirmed?
Comment 3 Bryan Christ 2007-07-12 14:35:09 EDT
Retested with new package gnome-screensaver-2.18.2-2.fc7 and problem still happens.
Comment 4 Gary Case 2007-09-17 10:44:05 EDT
I've noticed something about the screensaver. When you're working on the 2nd
monitor and the screen starts dimming, keyboard activity will cancel the
screensaver (after eating a few keystrokes), but mouse activity on the 2nd
screen will not. You have to move the mouse to the primary desktop if you want
to cancel the screensaver using the mouse. This is with
gnome-screensaver-2.18.2-2.fc7
Comment 5 Bryan Christ 2007-09-17 10:50:10 EDT
Ya.  At first you think something is wrong with X or your keyboard.  If your
quick enough to remember this bug before your primary display goes to sleep, you
can prevent it from happening.  This has caught me off guard several times.  I
have since set my screensaver to 30 minutes because of this bug.
Comment 6 Bug Zapper 2008-05-14 09:24:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bryan Christ 2008-05-14 10:45:09 EDT
Please move this to F8.
Comment 8 Bug Zapper 2008-06-16 21:47:07 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Bryan Christ 2008-06-17 10:09:18 EDT
Please move to F8 and reopen.
Comment 10 Peter Dawes 2008-07-02 17:25:23 EDT
This is also still a problem in Fedora 9.
Comment 11 Bug Zapper 2008-11-26 02:23:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Peter Dawes 2008-12-09 12:51:22 EST
Please move to Fedora 9
Comment 13 Peter Doherty 2009-02-10 12:34:56 EST
What's the status with this bug?
Is anyone working on it?  It seems to me that this is a pretty serious issue, that is being ignored for over a year now.
Comment 14 Bug Zapper 2009-06-09 18:41:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bryan Christ 2009-06-10 10:21:25 EDT
This issue seems to have been resolved with later updates in F10 and with F11.
Comment 16 Bug Zapper 2009-07-14 14:00:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.